Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
Class Renderer

Field Summary
`String` | `BEGIN_TOKEN`
`int` | `BEGIN_TOKEN_SIZE`
`String` | `CODE_LIST_SEPARATOR`
`String` | `CODE_TEXT_SEPARATOR`
`String` | `END_TOKEN`
`int` | `END_TOKEN_SIZE`
`Buffer` | `buff`

Constructor Summary
`Renderer()`

Method Summary
`void` | `evaluate(String input)`
`String` | `render(String input)`

Constructor Detail

### Renderer

    Renderer()

Method Detail

### evaluate

    void evaluate(String input)

### render

    public String render(String input)